#include <iostream>

using namespace std; 

int main () {

    ios_base::sync_with_stdio(false); 
    cin.tie(0); 
    cout.tie(0); 

    int n, m; 
    
    cin>>n>>m; 
    
    for(int i = 0 ; i < m ; i++) {
        
        int a, b, t;
        
        cin>>a>>b>>t; 
        
    }

    int v, u; 
    
    cin>>v>>u;

    cout<<-1; 

    return 0; 

}